package com.zcloud.modules.sys.controller;

import com.zcloud.common.annotation.SysLog;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.common.utils.R;
import com.zcloud.modules.sys.entity.BusNoticeCorpEntity;
import com.zcloud.modules.sys.service.BusNoticeCorpService;
import com.zcloud.modules.sys.controller.AbstractController;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.Map;

/**
 * @Author chenxinying
 * @Desc (BusNoticeCorp)表控制层
 * @Date 2024-03-29 09:53:21
 */
@Api(tags = "")
@RestController
@RequestMapping("busNoticeCorp")
public class BusNoticeCorpController extends AbstractController {

    @Autowired
    private BusNoticeCorpService busNoticeCorpService;

    @ApiOperation("-新增数据")
    @SysLog("-新增数据")
    @PostMapping("/save")
    public R insert(@RequestBody BusNoticeCorpEntity param) {
        param.setCreator(getUserId());
        busNoticeCorpService.save(param);

        return R.ok();
    }

    @ApiOperation("-编辑数据")
    @SysLog("-编辑数据")
    @PostMapping("/update")
    public R update(@RequestBody BusNoticeCorpEntity param) {
        busNoticeCorpService.updateById(param);

        return R.ok();
    }


    @ApiOperation("-删除数据")
    @SysLog("-删除数据")
    @PostMapping("/delete")
    public R delete(@RequestBody BusNoticeCorpEntity param) {
        busNoticeCorpService.delete(param.getNoticeCorpId(),getUserId());
        return R.ok();
    }

    @ApiOperation("-分页查询")
    @SysLog("-分页查询")
    @PostMapping("/listPage")
    public R listPage(@RequestBody Map<String, Object> params) {
        PageUtils page = busNoticeCorpService.listPage(params);

		return R.ok().put("page", page);
    }


    @ApiOperation("-根据ID查详情")
    @SysLog("-根据ID查详情")
    @PostMapping("/info")
    public R info(@RequestBody BusNoticeCorpEntity param) {
        BusNoticeCorpEntity busNoticeCorp = busNoticeCorpService.getById(param.getNoticeCorpId());
        return R.ok().put("busNoticeCorp", busNoticeCorp);
    }

}
